[Dive4elements-commits] [PATCH 1 of 2] Add flush_cache helper script to document the functionality how

Wald Commits scm-commit at wald.intevation.org
Fri Apr 5 11:37:01 CEST 2013


# HG changeset patch
# User Andre Heinecke <aheinecke at intevation.de>
# Date 1365093696 -7200
# Node ID d0c8cfb493f5805e307c713bfe8a56f576985954
# Parent  91a2ddffea47baa4032f66df9e449129bed030af
Add flush_cache helper script to document the functionality how
a cache can be invalidated

diff -r 91a2ddffea47 -r d0c8cfb493f5 flys-artifacts/contrib/flush_cache.sh
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/flys-artifacts/contrib/flush_cache.sh	Thu Apr 04 18:41:36 2013 +0200
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# != 2 ]; then
+    echo "usage $0 <artifact-server-port> <cachename>"
+    echo "    cachename is the name of the cache defined in conf/caches.xml"
+    echo "    for example: $0 12123 datacage.db"
+    exit 1
+fi
+
+curl -d @- http://localhost:$1/service/cache-invalidation << EOF 
+<?xml version="1.0" ?>
+<caches>
+  <cache name="$2"/>
+</caches>
+EOF


More information about the Dive4elements-commits mailing list